| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IService Class Reference

`#include <GaudiKernel/IService.h>`

Inheritance diagram for IService:

[legend]
Collaboration diagram for IService:

[legend]
List of all members.

## Detailed Description

General service interface definition.

Author:
  Pere Mato

Definition at line 22 of file IService.h.

## Public Member Functions
virtual const InterfaceID & | type () const=0
| Retrieve ID of the Service. Not really used.
virtual StatusCode | sysInitialize ()=0
| Initilize Service.
virtual StatusCode | sysStart ()=0
| Start Service.
virtual StatusCode | sysStop ()=0
| Stop Service.
virtual StatusCode | sysFinalize ()=0
| Finalize Service.
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service.
virtual StatusCode | sysRestart ()=0
| Re-start the Service.
virtual StatusCode | configure ()=0
| Configuration (from OFFLINE to CONFIGURED).
virtual StatusCode | initialize ()=0
| Initialization (from CONFIGURED to INITIALIZED).
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING).
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED).
virtual StatusCode | finalize ()=0
| Finalize (from INITIALIZED to CONFIGURED).
virtual StatusCode | terminate ()=0
| Initialization (from CONFIGURED to OFFLINE).
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED).
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED).
virtual Gaudi::StateMachine::State | FSMState () const=0
| Get the current state.
virtual Gaudi::StateMachine::State | targetFSMState () const=0
| When we are in the middle of a transition, get the state where the transition is leading us.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.
## Protected Member Functions
virtual void | setServiceManager (ISvcManager *)=0
## Friends
class | ServiceManager

## Member Function Documentation

static const InterfaceID& IService::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from INamedInterface.

Reimplemented in IGslSvc, IAuditorSvc, IChronoStatSvc, IHistorySvc, IIssueLogger, IMagneticFieldSvc, IParticlePropertySvc, IPartPropSvc, IRndmGenSvc, IStatusCodeSvc, and ITHistSvc.

Definition at line 26 of file IService.h.

References IID_IService.

Referenced by ServiceManager::getService(), ApplicationMgr::queryInterface(), Service::queryInterface(), GslSvc::queryInterface(), and ApplicationMgr::terminate().

    00026 { return IID_IService; }

virtual const InterfaceID& IService::type | ( |  | ) | const`[pure virtual]`

Retrieve ID of the Service. Not really used.

Implemented in Service, ApplicationMgr, ParticlePropertySvc, and PartPropSvc.

virtual StatusCode IService::sysInitialize | ( |  | ) | `[pure virtual]`

Initilize Service.

Implemented in Service, ApplicationMgr, and AuditorSvc.

Referenced by ServiceManager::addService(), ApplicationMgr::i_startup(), ServiceManager::makeService(), and EventLoopMgr::reinitialize().

virtual StatusCode IService::sysStart | ( |  | ) | `[pure virtual]`

Start Service.

Implemented in Service, and ApplicationMgr.

Referenced by ServiceManager::addService(), and ServiceManager::makeService().

virtual StatusCode IService::sysStop | ( |  | ) | `[pure virtual]`

Stop Service.

Implemented in Service, and ApplicationMgr.

virtual StatusCode IService::sysFinalize | ( |  | ) | `[pure virtual]`

Finalize Service.

Implemented in Service, ApplicationMgr, and AuditorSvc.

virtual StatusCode IService::sysReinitialize | ( |  | ) | `[pure virtual]`

Re-initialize the Service.

Implemented in Service, and ApplicationMgr.

virtual StatusCode IService::sysRestart | ( |  | ) | `[pure virtual]`

Re-start the Service.

Implemented in Service, and ApplicationMgr.

virtual StatusCode IService::configure | ( |  | ) | `[pure virtual]`

Configuration (from OFFLINE to CONFIGURED).

Implemented in Service, and ApplicationMgr.

virtual StatusCode IService::initialize | ( |  | ) | `[pure virtual]`

Initialization (from CONFIGURED to INITIALIZED).

Implemented in GslSvc, ConversionSvc, DataSvc, MinimalEventLoopMgr, Service, DataListenerSvc, PoolDbCacheSvc, PoolDbCnvSvc, PoolDbEvtSelector, PythonScriptingSvc, AIDATupleSvc, AlgContextSvc, ApplicationMgr, AppMgrRunable, EventLoopMgr, AuditorSvc, ChronoStatSvc, EvtDataSvc, MultiStoreSvc, DetDataSvc, EventCollectionSelector, EventSelector, ExceptionSvc, FastContainersSvc, HistogramSvc, HistorySvc, DataOnDemandSvc, IncidentSvc, IssueLogger, JobOptionsSvc, MessageSvc, NTupleSvc, TagCollectionSvc, ParticlePropertySvc, DetPersistencySvc, EvtPersistencySvc, HistogramPersistencySvc, PersistencySvc, HepRndm::Engine< TYPE >, RndmEngine, RndmGenSvc, StatusCodeSvc, THistSvc, ToolSvc, VFSSvc, Gaudi::IODataManager, Gaudi::MultiFileCatalog, HbookCnv::PersSvc, PartPropSvc, and RootHistCnv::PersSvc.

virtual StatusCode IService::start | ( |  | ) | `[pure virtual]`

Start (from INITIALIZED to RUNNING).

Implemented in MinimalEventLoopMgr, Service, ApplicationMgr, and AppMgrRunable.

virtual StatusCode IService::stop | ( |  | ) | `[pure virtual]`

Stop (from RUNNING to INITIALIZED).

Implemented in MinimalEventLoopMgr, Service, ApplicationMgr, AppMgrRunable, and EventLoopMgr.

virtual StatusCode IService::finalize | ( |  | ) | `[pure virtual]`

Finalize (from INITIALIZED to CONFIGURED).

Implemented in GslSvc, ConversionSvc, DataSvc, MinimalEventLoopMgr, Service, DataListenerSvc, PoolDbCacheSvc, PoolDbCnvSvc, PoolDbEvtSelector, PythonScriptingSvc, AIDATupleSvc, AlgContextSvc, ApplicationMgr, AppMgrRunable, EventLoopMgr, AuditorSvc, ChronoStatSvc, CounterSvc, EvtDataSvc, MultiStoreSvc, DetDataSvc, EventCollectionSelector, EventSelector, ExceptionSvc, FastContainersSvc, HistogramSvc, HistorySvc, DataOnDemandSvc, IncidentSvc, IssueLogger, JobOptionsSvc, MessageSvc, NTupleSvc, TagCollectionSvc, ParticlePropertySvc, DetPersistencySvc, EvtPersistencySvc, HistogramPersistencySvc, PersistencySvc, HepRndm::Engine< TYPE >, RndmEngine, RndmGenSvc, StatusCodeSvc, THistSvc, ToolSvc, VFSSvc, Gaudi::IODataManager, Gaudi::MultiFileCatalog, HbookCnv::PersSvc, PartPropSvc, and RootHistCnv::PersSvc.

virtual StatusCode IService::terminate | ( |  | ) | `[pure virtual]`

Initialization (from CONFIGURED to OFFLINE).

Implemented in Service, and ApplicationMgr.

virtual StatusCode IService::reinitialize | ( |  | ) | `[pure virtual]`

Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED).

Implemented in DataSvc, MinimalEventLoopMgr, Service, AIDATupleSvc, ApplicationMgr, EventLoopMgr, EvtDataSvc, MultiStoreSvc, DetDataSvc, EventSelector, FastContainersSvc, HistogramSvc, HistorySvc, DataOnDemandSvc, IssueLogger, MessageSvc, NTupleSvc, HistogramPersistencySvc, StatusCodeSvc, and THistSvc.

Referenced by EventLoopMgr::reinitialize().

virtual StatusCode IService::restart | ( |  | ) | `[pure virtual]`

Initialization (from RUNNING to RUNNING, via INITIALIZED).

Implemented in MinimalEventLoopMgr, Service, and ApplicationMgr.

virtual Gaudi::StateMachine::State IService::FSMState | ( |  | ) | const`[pure virtual]`

Get the current state.

Implemented in Service, and ApplicationMgr.

Referenced by EventLoopMgr::reinitialize().

virtual Gaudi::StateMachine::State IService::targetFSMState | ( |  | ) | const`[pure virtual]`

When we are in the middle of a transition, get the state where the transition is leading us.

Otherwise it returns the same state as state().

Implemented in Service, and ApplicationMgr.

virtual void IService::setServiceManager | ( | ISvcManager * |  | ) | `[protected, pure virtual]`

Implemented in Service, and ApplicationMgr.

Referenced by ServiceManager::makeService().

## Friends And Related Function Documentation

friend class ServiceManager`[friend]`

Reimplemented in Service.

Definition at line 23 of file IService.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IService.h